Page MenuHomePhabricator

Integrate support in the mediawiki core for favicons across platforms
Closed, ResolvedPublic

Description

There should be integrated support in the MediaWiki core for different favicon sizes, because of different operating systems. This means dynamically generating different favicon types (svg, ico, png) with different dimensions to support:

  • Pinned website function for Windows 8.* and 10
  • Pinned tab function for Safari
  • Pinned website function for Android Chrome
  • Web Clip function for iOS

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2016, 12:54 AM
SamanthaNguyen renamed this task from Create support for different favicon sizes to Integrate support in the mediawiki core for different favicon sizes.Mar 3 2016, 2:43 AM
Aklapper triaged this task as Lowest priority.Mar 3 2016, 9:34 AM

They can be set via https://www.mediawiki.org/wiki/Manual:$wgAppleTouchIcon and https://www.mediawiki.org/wiki/Manual:$wgFavicon (see the text explanation how to achieve it) hence the support exists I'd say.

Could you clarify what is exactly requested here?

SamanthaNguyen added a comment.EditedMar 4 2016, 12:39 AM

@Aklapper:

What this task is trying to achieve is the ability to pin websites on cross-platforms: Windows 8.* and 10, Android (Chrome browser), Safari browser, and on the iOS platform.

Currently, when you just use $wgFavicon in mw.v 1.26.2, it generates this: (correct me if I'm wrong)

<link rel="shortcut icon" href="<directory-path>/favicon.ico">
  • In Windows 10, you have the ability to add a website as a Windows tile, if it has certain metadata tags with the correct values of the attributes, and requires a .png file type.
  • In Safari 9 for Mac OS X EI Captain, you have an ability to pin tabs and it'll generate a favicon, but it won't use the .ico file. It requires support for SVG favicons however.
  • In iOS, you have an ability to pin a website to the home screen but requires different favicon dimensions. I'm assuming this is already fixed with $wgAppleTouchIcon but I don't know how stable it is and how recently it's been tested out.
  • In Android Chrome, you have the same ability of pinning website to the home screen, but still requires different favicon dimensions, and also requires a .png type.
brion added a subscriber: brion.Mar 4 2016, 9:57 PM

Recommend merging T28211 into this one, there's some old notes there.

SamanthaNguyen renamed this task from Integrate support in the mediawiki core for different favicon sizes to Integrate support in the mediawiki core for favicons across platforms.Feb 6 2017, 1:22 AM

Sorry, accidentally got in a mess with the tickets here!

Thanks Samantha to have sorted the different tasks I created for these favicons and assimilated icons.

Jdlrobson closed this task as Resolved.Fri, Jan 15, 11:52 PM
Jdlrobson claimed this task.

I think this is resolved. We have support for apple touch icons, $wgFavicon can take any valued that's wished and further links can be added via hooks.

If you think any important links are not output on Wikipedia or if the defaults need to change please feel free to open with those details.